petsc-3.4.2 2013-07-02

# SectionRealToVecDM

Maps the given section to a Vec

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionRealToVecDM(SectionReal section, DM dm, ScatterMode mode, Vec vec)

Collective on Section

### Input Parameters

| section | - the real Section
| mesh | - The DMMesh

### Output Parameter

vec -the Vec

### See Also

VecCreate(), SectionRealCreate()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages